<?php
/**
 * Webkul Software
 *
 * @category  Webkul
 * @package   Webkul_MpBuyerSellerChatApi
 * @author    Webkul
 * @copyright Copyright (c) Webkul Software Private Limited (https://webkul.com)
 * @license   https://store.webkul.com/license.html
 */
namespace Webkul\MpBuyerSellerChatApi\Api\Data;

/**
 * Otp interface.
 *
 * @api
 */
interface CustomerInterface
{
   
    /**
    * Constants for keys of data array. Identical to the name of the getter in snake case
    */
    const ID = 'id';

    const NAME = 'name';

    const EMAIL = 'email';

    const TOKEN = 'token';

    const STATUS = 'status';

    const IS_BLOCKED = 'is_blocked';

    const UNIQUE_ID = 'unique_id';

    const PROFILE_IMAGE = 'profile_image';

    const CUSTOMER_TOKEN = 'customer_token';


    /**
     * Get ID
     *
     * @return int|null
     */
    public function getId();

    /**
     * Set ID
     *
     * @param int
     * @return int $id
     */
    public function setId($id);

    /**
     * Get Name
     *
     * @return string|null
     */
    public function getName();
     
    /**
     * Set Name
     * @param string
     * @return string $name
     */
    public function setName($name);

    /**
     * Get Email
     *
     * @return string|null
     */
    public function getEmail();
     
    /**
     * Set Email
     * @param string
     * @return string $email
     */
    public function setEmail($email);

    /**
     * Get Token
     *
     * @return string|null
     */
    public function getToken();
     
    /**
     * Set Token
     * @param string
     * @return string $token
     */
    public function setToken($token);

    /**
     * Get is blocked
     *
     * @return boolean|null
     */
    public function getIsBlocked();
     
    /**
     * Set is blocked
     * @param boolean
     * @return boolean $blocked
     */
    public function setIsBlocked($blocked);

    /**
     * Get Status
     *
     * @return integer|null
     */
    public function getStatus();
     
    /**
     * Set Token
     * @param integer
     * @return integer $status
     */
    public function setStatus($status);

    /**
     * Get Unique Id
     *
     * @return string|null
     */
    public function getUniqueId();
     
    /**
     * Set Unique Id
     * @param string
     * @return string $uniqueId
     */
    public function setUniqueId($uniqueId);

    /**
     * Get Status
     *
     * @return string|null
     */
    public function getProfileImage();
     
    /**
     * Set Token
     * @param string
     * @return string $profileImage
     */
    public function setProfileImage($profileImage);

    /**
     * Get Customer Token
     *
     * @return string|null
     */
    public function getCustomerToken();
     
    /**
     * Set Customer Token
     * @param string
     * @return string $customerToken
     */
    public function setCustomerToken($customerToken);
}
